Web lists-archives.com

Re: Debian 9 t: Update Gstreamer Base plugins package to resolve a Gstreamer bug




On 2018-05-05, Henrique de Moraes Holschuh <hmh@xxxxxxxxxx> wrote:
> On Fri, 04 May 2018, Dinesh Iyer wrote:
>> "You'll have to talk to whoever is providing you your older version of
>> GStreamer. They will have to backport the fix to that old version, but it
>> should just cleanly apply to the older versions."
>> 
>> The patch that needs to be applied is:
>> https://github.com/GStreamer/gst-plugins-base/commit/9f9000e693694ea33c21607140ffc29aa1734062#diff-acf6f1abae3d918458c7a91ce8a0b3ad
>> 
>> Is this something that would be possible to do? This would really help me
>> as this stall is a show stopper for my application.
>
> Talking in the general way, yes, it is possible.  I am not one of the
> DDs responsible for gstream, though.  So all I can tell you is how it
> would go for one of the packages I am responsible for:
>
> Since a stable update is needed, one has to go the long way to get the
> Debian stable release manager to approve it (it doesn't depend only on
> the DD responsible for the package).
>
> First, you get the fix into unstable (either through a patch, or by
> ensuring an already fixed version is present).  And wait for it to
> migrate to testing (usually, five-seven days).

[...]

At this point wouldn't it be easier to get the fix into
stretch-backports?